package com.gic.haoban.manage.api.dto.notify.qdto;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * 待办表
 *
 * @author fdh
 */
public class PendingListQDTO implements Serializable {

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 0-不良评价回访 1-ecm话务任务 ,3群发任务  4活动
     */
    private Integer taskType;
    /**
     * 是否完成 0否 1是
     */
    private Integer finishFlag = -1;
    /**
     * 是否逾期 1是 0否
     */
    private Integer overdueFlag = -1;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 执行人id
     */
    private String clerkId;

    /**
     */
    private static final long serialVersionUID = 1L;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getTaskType() {
        return taskType;
    }

    public void setTaskType(Integer taskType) {
        this.taskType = taskType;
    }

    public Integer getFinishFlag() {
        return finishFlag;
    }

    public void setFinishFlag(Integer finishFlag) {
        this.finishFlag = finishFlag;
    }

    public Integer getOverdueFlag() {
        return overdueFlag;
    }

    public void setOverdueFlag(Integer overdueFlag) {
        this.overdueFlag = overdueFlag;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }
}